--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This action verifies funding on a customer's card, and readies them for deposit in a merchant's account.
- !ruby/struct:SM::Flow::P 
  body: Pass in <tt>order_id</tt> and optionally a <tt>customer</tt> parameter
full_name: ActiveMerchant::Billing::MonerisGateway#purchase
is_singleton: false
name: purchase
params: (money, creditcard, options = {})
visibility: public
